_SipSetup Struct Reference

## Data Fields

const char * | name
unsigned int | capabilities
int | initialized
bool_t(* | init )(void)
void(* | exit )(void)
void(* | init_instance )(SipSetupContext *ctx)
void(* | uninit_instance )(SipSetupContext *ctx)
int(* | account_exists )(SipSetupContext *ctx, const char *uri)
int(* | create_account )(SipSetupContext *ctx, const char *uri, const char *passwd, const char *email, int suscribe)
int(* | login_account )(SipSetupContext *ctx, const char *uri, const char *passwd, const char *userid)
int(* | get_proxy )(SipSetupContext *ctx, const char *domain, char *proxy, size_t sz)
int(* | get_stun_servers )(SipSetupContext *ctx, char *stun1, char *stun2, size_t size)
int(* | get_relay )(SipSetupContext *ctx, char *relay, size_t size)
const char *(* | get_notice )(SipSetupContext *ctx)
const char **(* | get_domains )(SipSetupContext *ctx)
int(* | logout_account )(SipSetupContext *ctx)
BuddyLookupFuncs * | buddy_lookup_funcs
int(* | account_validated )(SipSetupContext *ctx, const char *uri)

The documentation for this struct was generated from the following file:

- sipsetup.h